"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const Connector = ({ id, previousMatchPosition, currentMatchPosition, calculatedStyle, isHighlighted, offsetY = 0, }) => {
    const { boxHeight, connectorColor, roundHeader, roundSeparatorWidth, lineInfo, horizontalOffset, connectorColorHighlight, width, } = calculatedStyle;
    const pathInfo = () => {
        const middlePointOfMatchComponent = boxHeight / 2;
        const previousMatch = previousMatchPosition;
        const startPoint = `${currentMatchPosition.x - horizontalOffset - lineInfo.separation} ${currentMatchPosition.y +
            lineInfo.homeVisitorSpread +
            middlePointOfMatchComponent +
            (roundHeader.isShown ? roundHeader.height + roundHeader.marginBottom : 0)}`;
        const horizontalWidthLeft = currentMatchPosition.x - roundSeparatorWidth / 2 - horizontalOffset;
        const isPreviousMatchOnSameYLevel = Math.abs(currentMatchPosition.y - previousMatch.y) < 1;
        const verticalHeight = previousMatch.y +
            middlePointOfMatchComponent +
            offsetY +
            (roundHeader.isShown ? roundHeader.height + roundHeader.marginBottom : 0);
        const horizontalWidthRight = previousMatch.x + width;
        if (isPreviousMatchOnSameYLevel) {
            return [`M${startPoint}`, `H${horizontalWidthRight}`];
        }
        return [
            `M${startPoint}`,
            `H${horizontalWidthLeft}`,
            `V${verticalHeight}`,
            `H${horizontalWidthRight}`,
        ];
    };
    return (react_1.default.createElement(react_1.default.Fragment, null,
        react_1.default.createElement("path", { d: pathInfo().join(' '), id: `connector-${id}`, fill: "transparent", stroke: isHighlighted ? connectorColorHighlight : connectorColor })));
};
exports.default = Connector;
//# sourceMappingURL=connector.js.map