"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const styled_components_1 = require("styled-components");
const item_context_1 = require("./item-context");
const settings_1 = require("../settings");
const calculate_svg_dimensions_1 = require("./calculate-svg-dimensions");
const themes_1 = __importDefault(require("../themes/themes"));
const graph_1 = require("./graph");
const GeneralTreeBracket = ({ tree, itemComponent, currentRound, svgWrapper: SvgWrapper = ({ children }) => react_1.default.createElement("div", null, children), theme = themes_1.default, options: { style: inputStyle } = {
    style: settings_1.defaultStyle,
}, }) => {
    const style = Object.assign(Object.assign(Object.assign({}, settings_1.defaultStyle), inputStyle), { roundHeader: Object.assign(Object.assign({}, settings_1.defaultStyle.roundHeader), inputStyle.roundHeader), lineInfo: Object.assign(Object.assign({}, settings_1.defaultStyle.lineInfo), inputStyle.lineInfo) });
    const calculatedStyle = settings_1.getCalculatedStyles(style);
    const { roundHeader, columnWidth, canvasPadding, rowHeight } = calculatedStyle;
    const [state, dispatch] = item_context_1.useItemContext(tree);
    const { renderData } = state;
    const maxNumRows = renderData.reduce((biggestColumnNum, columns) => {
        const currentBiggestColumn = columns.reduce((biggestYmultiplier, item) => Math.max(biggestYmultiplier, item.y), 0);
        return Math.max(currentBiggestColumn, biggestColumnNum);
    }, 0);
    const maxNumColumns = renderData.length;
    const { gameWidth, gameHeight, startPosition } = calculate_svg_dimensions_1.calculateSVGDimensions(maxNumRows, maxNumColumns, rowHeight, columnWidth, canvasPadding, roundHeader, currentRound);
    return (react_1.default.createElement(styled_components_1.ThemeProvider, { theme: theme },
        react_1.default.createElement(SvgWrapper, { bracketWidth: gameWidth, bracketHeight: gameHeight, startAt: startPosition },
            react_1.default.createElement("svg", { height: gameHeight, width: gameWidth, viewBox: `0 0 ${gameWidth} ${gameHeight}` },
                react_1.default.createElement(item_context_1.itemContext.Provider, { value: { state, dispatch } },
                    react_1.default.createElement(graph_1.Graph, { renderData: renderData, itemComponent: itemComponent, calculatedStyle: calculatedStyle }))))));
};
exports.default = GeneralTreeBracket;
//# sourceMappingURL=general-tree.js.map