"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Tree = void 0;
const react_1 = __importDefault(require("react"));
const styled_components_1 = __importDefault(require("styled-components"));
const use_window_size_1 = __importDefault(require("../hooks/use-window-size"));
const general_tree_1 = __importDefault(require("./general-tree"));
const svg_viewer_1 = __importDefault(require("../svg-viewer"));
const simple_tree_1 = require("../mock-data/simple-tree");
exports.default = {
    title: 'Components/Tree',
    component: general_tree_1.default,
};
const StyledSvgViewer = styled_components_1.default(svg_viewer_1.default).attrs(props => {
    return {
        background: props.theme.canvasBackground,
        SVGBackground: props.theme.canvasBackground,
    };
}) ``;
const MockItemComponent = ({ item, onMouseEnter, onMouseLeave, isCollapsed, toggleCollapse, isHighlighted, connectorColor, computedStyles, }) => {
    var _a;
    return (react_1.default.createElement("div", { style: {
            height: '100%',
            width: '100%',
            display: 'flex',
            alignItems: 'center',
        }, onMouseEnter: onMouseEnter, onMouseLeave: onMouseLeave },
        react_1.default.createElement("div", { style: {
                margin: '25px 5px 25px 5px',
                flexGrow: 1,
            } },
            react_1.default.createElement("div", { style: {
                    background: isHighlighted ? 'pink' : '#eeeeee',
                    display: 'flex',
                    justifyContent: 'space-between',
                } },
                react_1.default.createElement("span", { style: { color: '#222222' } }, (_a = item === null || item === void 0 ? void 0 : item.id) !== null && _a !== void 0 ? _a : ''),
                react_1.default.createElement("button", { type: "button", onClick: toggleCollapse }, isCollapsed ? 'Show me' : 'Collapse me')))));
};
const Template = (_a) => {
    var { tree, itemComponent } = _a, args = __rest(_a, ["tree", "itemComponent"]);
    const [width, height] = use_window_size_1.default();
    const finalWidth = Math.max(width - 50, 500);
    const finalHeight = Math.max(height - 100, 500);
    return (react_1.default.createElement(general_tree_1.default, Object.assign({ itemComponent: itemComponent, svgWrapper: (_a) => {
            var { children } = _a, props = __rest(_a, ["children"]);
            return (react_1.default.createElement(StyledSvgViewer, Object.assign({ width: finalWidth, height: finalHeight }, props), children));
        }, tree: tree }, args)));
};
const Tree = () => (react_1.default.createElement(Template, { tree: simple_tree_1.simpleTree, itemComponent: MockItemComponent }));
exports.Tree = Tree;
//# sourceMappingURL=general-tree.stories.js.map