"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ItemWrapper = void 0;
const react_1 = __importStar(require("react"));
const calculate_treeItem_position_1 = require("./calculate-treeItem-position");
const connector_1 = __importDefault(require("./connector"));
const item_context_1 = require("./item-context");
function ItemWrapper({ columnIndex, item, renderData, calculatedStyle, itemComponent: ItemComponent, }) {
    const { roundHeader, columnWidth, canvasPadding, rowHeight } = calculatedStyle;
    const itemPosition = calculate_treeItem_position_1.calculatePositionOfItem({ x: columnIndex, y: item.y }, {
        canvasPadding,
        columnWidth,
        rowHeight,
    });
    const previousColumn = columnIndex > 0 ? renderData[columnIndex - 1] : null;
    const parent = previousColumn === null || previousColumn === void 0 ? void 0 : previousColumn.find(pParent => item.parentId === pParent.id);
    const parentPosition = parent
        ? calculate_treeItem_position_1.calculatePositionOfItem({ x: columnIndex - 1, y: parent.y }, {
            canvasPadding,
            columnWidth,
            rowHeight,
        })
        : null;
    const { dispatch } = react_1.useContext(item_context_1.itemContext);
    const isHighlighted = item_context_1.useItemHighlightContext({ currentItem: item });
    const isCollapsed = item_context_1.useIsCollapsed({ currentItem: item });
    const onMouseEnter = () => {
        dispatch({
            type: 'SET_HOVERED',
            payload: {
                currentHoveredItem: item,
                hoveredColumnIndex: columnIndex,
            },
        });
    };
    const onMouseLeave = () => {
        dispatch({ type: 'SET_BLURRED' });
    };
    const toggleCollapse = () => {
        dispatch({
            type: 'TOGGLE_COLLAPSE',
            payload: {
                currentItem: item,
            },
        });
    };
    const { width = 300, boxHeight = 70, connectorColor } = calculatedStyle;
    return (react_1.default.createElement(react_1.default.Fragment, null,
        parentPosition && (react_1.default.createElement(connector_1.default, { id: item.id, isHighlighted: isHighlighted, previousMatchPosition: parentPosition, currentMatchPosition: itemPosition, calculatedStyle: calculatedStyle })),
        react_1.default.createElement("g", null,
            react_1.default.createElement("svg", { width: width, height: boxHeight, viewBox: `0 0 ${width} ${boxHeight}`, x: itemPosition.x, y: itemPosition.y +
                    (roundHeader.isShown
                        ? roundHeader.height + roundHeader.marginBottom
                        : 0) },
                react_1.default.createElement("foreignObject", { x: 0, y: 0, width: width, height: boxHeight }, ItemComponent ? (react_1.default.createElement(ItemComponent, Object.assign({}, {
                    item: item.data,
                    isHighlighted,
                    isCollapsed,
                    connectorColor,
                    computedStyles: calculatedStyle,
                    onMouseEnter,
                    onMouseLeave,
                    toggleCollapse,
                }))) : null)))));
}
exports.ItemWrapper = ItemWrapper;
//# sourceMappingURL=item-wrapper.js.map