"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateRenderTree = void 0;
const numbers_1 = require("../utils/numbers");
function generateRenderTree(generalTree, collapsedPaths = [], depth = 0, verticalStartingPoint = 0, parentId = undefined, id = 0, path = [], result = [[]]) {
    var _a;
    let currentVerticalStartingPoint = verticalStartingPoint;
    let currentResult = result;
    let currentIterationId = id;
    const { children, data } = generalTree, rest = __rest(generalTree, ["children", "data"]);
    const item = Object.assign(Object.assign({}, rest), { id: currentIterationId, parentId, y: currentVerticalStartingPoint, path,
        data });
    currentResult[depth] = ((_a = currentResult[depth]) === null || _a === void 0 ? void 0 : _a.length)
        ? [...currentResult[depth], item]
        : [item];
    if (children.length === 0 ||
        collapsedPaths.some(collapsedPath => numbers_1.numArrayComparison(collapsedPath, path))) {
        return {
            verticalStartingPoint: currentVerticalStartingPoint + 1,
            newResult: currentResult,
            id: currentIterationId,
        };
    }
    for (let i = 0; i < children.length; i++) {
        const { newResult, verticalStartingPoint: resultingVerticalStartingPoint, id: resultId, } = generateRenderTree(children[i], collapsedPaths, depth + 1, currentVerticalStartingPoint, id, currentIterationId + 1, [...path, i], currentResult);
        currentIterationId = resultId;
        currentVerticalStartingPoint = resultingVerticalStartingPoint;
        currentResult = newResult;
    }
    return {
        verticalStartingPoint: currentVerticalStartingPoint,
        newResult: currentResult,
        id: currentIterationId,
    };
}
exports.generateRenderTree = generateRenderTree;
//# sourceMappingURL=treeToRenderAdapter.js.map