"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
function useWindowSize() {
    const [size, setSize] = react_1.useState([0, 0]);
    react_1.useLayoutEffect(() => {
        function updateSize() {
            setSize([window.innerWidth, window.innerHeight]);
        }
        window.addEventListener('resize', updateSize);
        updateSize();
        return () => window.removeEventListener('resize', updateSize);
    }, []);
    return size;
}
exports.default = useWindowSize;
//# sourceMappingURL=use-window-size.js.map